gnutls_x509_rdn_get_oid(3)

NAME
gnutls_x509_rdn_get_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get_oid(const gnutls_datum_t * idn, unsigned indx, void * buf, size_t * buf_size);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

unsigned indx
    Indicates which OID to return. Use 0 for the first one.

void * buf
    a pointer to a structure to hold the peer's name OID

size_t * buf_size
    holds the size of buf

DESCRIPTION
This function will return the specified Object identifier, of the RDN sequence.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and * buf_size is updated if the provided buffer is not long enough, otherwise a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/